GET /v1/vials

Service: clinical · operationId: (none)

List active vial records for workflow scanning

Required scopes

(no scope declared — review service config)

Query parameters

  • status (string) required

Responses

200 Active vial records

{
  "type": "object",
  "properties": {
    "vials": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "patient_id": {
            "type": "string"
          },
          "vial_id": {
            "type": "string",
            "format": "uuid"
          },
          "peptide_id": {
            "type": "string"
          },
          "reconstituted_at": {
            "type": "string",
            "format": "date-time"
          },
          "expires_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "patient_id",
          "vial_id",
          "peptide_id",
          "reconstituted_at",
          "expires_at"
        ]
      }
    }
  },
  "required": [
    "vials"
  ]
}

403 Forbidden

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/vials \
  -H "Authorization: Bearer $ACCESS_TOKEN"